Subject: Re: bug#60765: CC Mode 5.35.2 (Java//l); Java incorrect type recognition

From: Alan Mackenzie <[email-masked]>
Date: Tue, 17 Jan 2023 15:56:04 +0000

Hello, Po.

On Tue, Jan 17, 2023 at 13:14:51 +0800, Po Lu wrote:
> Alan Mackenzie <[email-masked]> writes:

[ .... ]

> > Yes.  With the "unsafe-maybe" mechanism added to CC Mode late last year,
> > this was a fairly simple bug to fix.  I've taken the liberty of
> > committing the fix to the emacs-29 branch with:

> > commit c1d32d9a20dc94d403725c288d168451b916c034 (HEAD -> emacs-29, origin/emacs-29, origin/HEAD)
> > Author: Alan Mackenzie <[email-masked]>
> > Date:   Mon Jan 16 17:44:44 2023 +0000

> >     CC Mode: Prevent ids in temporary "declarators" getting into c-found-types

> > , though I haven't yet closed the bug.  I'd be grateful if you could
> > update your emacs-29 branch with this fix, run your real Java code in
> > it, and confirm that the bug is indeed fixed.  Thanks!

> Thanks, this seems to work here.

Thanks for the testing!  I'm closing the bug with this post.

-- 
Alan Mackenzie (Nuremberg, Germany).